import { Styles } from './types';
/**
 * Define styles
 */
declare function define<T extends Styles, B extends Styles>(dynamic: (theme: any, props: any) => T, styles?: B): {
    dynamic: typeof dynamic;
    staticStyles: B;
};
declare function define<T extends Styles>(styles: T): {
    staticStyles: T;
    dynamic: null;
};
export { define };
