import { useRef, useEffect } from 'react';
/**
 * Use pprev values
 */
var usePrevious = function (value) {
    var ref = useRef();
    useEffect(function () {
        ref.current = value;
    }, [value]);
    return ref.current;
};
export { usePrevious };
//# sourceMappingURL=use-previous.js.map